# 2005/04/20 Edited by DrByte to use Zen's Admin tool
# First appearance in zen_demo_book v0.5



# Table structure for table product_book_extra
DROP TABLE IF EXISTS pubs_product_book_extra;
CREATE TABLE pubs_product_book_extra (
  products_id int(11) NOT NULL default '0', 
  subtitle varchar(255) NOT NULL default '',
  subject_id int(11) NOT NULL default '0', 
  format varchar(16) NOT NULL default '', 
  pub_date datetime default NULL, 
  PRIMARY KEY  (products_id)
) TYPE=MyISAM;


# Table structure for table author
DROP TABLE IF EXISTS pubs_book_author;
CREATE TABLE pubs_book_author(
  products_id int(11) NOT NULL default '0', 
  author_name varchar(64) NOT NULL default '',
  list_order int(11) NOT NULL default '0'
) TYPE=MyISAM;


# Table structure for table subject
DROP TABLE IF EXISTS pubs_book_subject;
CREATE TABLE pubs_book_subject(
  subject_id int(11) NOT NULL auto_increment, 
  subject_name varchar(32) NOT NULL default '',
  PRIMARY KEY  (subject_id)  
) TYPE=MyISAM;



#######################################


# Registering the "book" product type
DELETE FROM product_types WHERE type_handler = 'pubs_product_book';
INSERT INTO product_types VALUES (null, 'Ʒ - ͼ', 'pubs_product_book', '1', 'Y', '', now(), now());

# Changed this from above to here (jazzyjus)
# delete if exists
#NEXT_X_ROWS_AS_ONE_COMMAND:6
SET @t1=5;
SELECT (@t1:=type_id) as t1 
FROM product_types 
WHERE type_handler = 'pubs_product_book' limit 1;
DELETE FROM product_type_layout WHERE product_type_id = @t1;


#######################################
### Examples of Web Modifiable Config Info (Through Admin UI) for the "book" product type
# Admin -> Catalog -> Product Types -> Product - Book (Click twice) -> Edit Layout

# Field display config 
#NEXT_X_ROWS_AS_ONE_COMMAND:4
INSERT INTO product_type_layout (configuration_title, configuration_key, configuration_value, configuration_description, product_type_id, sort_order, set_function, date_added) 
SELECT 'ʾͼ鿪', 'SHOW_PRODUCT_BOOK_INFO_SUBJECT', '1', 'Ʒҳʾͼ鿪 0= off 1= on', type_id, '4',
'zen_cfg_select_drop_down(array(array(\'id\'=>\'1\', \'text\'=>\'True\'), array(\'id\'=>\'0\', \'text\'=>\'False\')), ', now()
FROM product_types WHERE type_handler = 'pubs_product_book';

# Admin field default config
#NEXT_X_ROWS_AS_ONE_COMMAND:4
INSERT INTO product_type_layout (configuration_title, configuration_key, configuration_value, configuration_description, product_type_id, sort_order, set_function, date_added) 
SELECT 'Ʒ˷ȱʡ״̬ - ˷ - Ʒʱ', 'DEFAULT_PRODUCT_BOOK_PRODUCTS_IS_ALWAYS_FREE_SHIPPING', '0','Ʒʱȱʡ˷״̬ʲô?', type_id , '102', 
'zen_cfg_select_drop_down(array(array(\'id\'=>\'1\', \'text\'=>\'True\'), array(\'id\'=>\'0\', \'text\'=>\'False\')), ', now()
FROM product_types WHERE type_handler = 'pubs_product_book';
